diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ue-rrc.cc ns-3.38/src/lte/model/lte-ue-rrc.cc
--- ns-3.37/src/lte/model/lte-ue-rrc.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-ue-rrc.cc	2023-03-16 20:54:23.776869000 -0700
@@ -91,19 +91,21 @@
 }
 
 /// Map each of UE RRC states to its string representation.
-static const std::string g_ueRrcStateName[LteUeRrc::NUM_STATES] = {"IDLE_START",
-                                                                   "IDLE_CELL_SEARCH",
-                                                                   "IDLE_WAIT_MIB_SIB1",
-                                                                   "IDLE_WAIT_MIB",
-                                                                   "IDLE_WAIT_SIB1",
-                                                                   "IDLE_CAMPED_NORMALLY",
-                                                                   "IDLE_WAIT_SIB2",
-                                                                   "IDLE_RANDOM_ACCESS",
-                                                                   "IDLE_CONNECTING",
-                                                                   "CONNECTED_NORMALLY",
-                                                                   "CONNECTED_HANDOVER",
-                                                                   "CONNECTED_PHY_PROBLEM",
-                                                                   "CONNECTED_REESTABLISHING"};
+static const std::string g_ueRrcStateName[LteUeRrc::NUM_STATES] = {
+    "IDLE_START",
+    "IDLE_CELL_SEARCH",
+    "IDLE_WAIT_MIB_SIB1",
+    "IDLE_WAIT_MIB",
+    "IDLE_WAIT_SIB1",
+    "IDLE_CAMPED_NORMALLY",
+    "IDLE_WAIT_SIB2",
+    "IDLE_RANDOM_ACCESS",
+    "IDLE_CONNECTING",
+    "CONNECTED_NORMALLY",
+    "CONNECTED_HANDOVER",
+    "CONNECTED_PHY_PROBLEM",
+    "CONNECTED_REESTABLISHING",
+};
 
 /////////////////////////////
 // ue RRC methods
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ue-rrc.h ns-3.38/src/lte/model/lte-ue-rrc.h
--- ns-3.37/src/lte/model/lte-ue-rrc.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-ue-rrc.h	2023-03-16 20:54:23.780869000 -0700
@@ -734,7 +734,7 @@
     void StartConnection();
     /**
      * \brief Leave connected mode method
-     * Resets the UE back to an appropiate state depending
+     * Resets the UE back to an appropriate state depending
      * on the nature of cause. For example, the UE is move
      * to the IDLE_START state upon radio link failure. At
      * RRC, all radio bearers except SRB 0 are removed,
@@ -821,7 +821,7 @@
 
     uint8_t m_lastRrcTransactionIdentifier; ///< last RRC transaction identifier
 
-    LteRrcSap::PdschConfigDedicated m_pdschConfigDedicated; ///< the PDSCH condig dedicated
+    LteRrcSap::PdschConfigDedicated m_pdschConfigDedicated; ///< the PDSCH config dedicated
 
     uint16_t m_dlBandwidth; /**< Downlink bandwidth in RBs. */
     uint16_t m_ulBandwidth; /**< Uplink bandwidth in RBs. */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-vendor-specific-parameters.cc ns-3.38/src/lte/model/lte-vendor-specific-parameters.cc
--- ns-3.37/src/lte/model/lte-vendor-specific-parameters.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-vendor-specific-parameters.cc	2023-03-16 20:54:23.780869000 -0700
@@ -35,7 +35,7 @@
 }
 
 uint16_t
-SrsCqiRntiVsp::GetRnti()
+SrsCqiRntiVsp::GetRnti() const
 {
     return (m_rnti);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-vendor-specific-parameters.h ns-3.38/src/lte/model/lte-vendor-specific-parameters.h
--- ns-3.37/src/lte/model/lte-vendor-specific-parameters.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-vendor-specific-parameters.h	2023-03-16 20:54:23.780869000 -0700
@@ -46,7 +46,7 @@
      *
      * \returns the RNTI
      */
-    uint16_t GetRnti();
+    uint16_t GetRnti() const;
 
   private:
     uint16_t m_rnti; ///< the rnti
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/pf-ff-mac-scheduler.cc ns-3.38/src/lte/model/pf-ff-mac-scheduler.cc
--- ns-3.37/src/lte/model/pf-ff-mac-scheduler.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/pf-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -36,11 +36,11 @@
 
 /// PF type 0 allocation RBG
 static const int PfType0AllocationRbg[4] = {
-    10, // RGB size 1
-    26, // RGB size 2
-    63, // RGB size 3
-    110 // RGB size 4
-};      // see table 7.1.6.1-1 of 36.213
+    10,  // RGB size 1
+    26,  // RGB size 2
+    63,  // RGB size 3
+    110, // RGB size 4
+};       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(PfFfMacScheduler);
 
@@ -371,7 +371,7 @@
     return (lcActive);
 }
 
-uint8_t
+bool
 PfFfMacScheduler::HarqProcessAvailability(uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << rnti);
@@ -648,9 +648,9 @@
     // Process DL HARQ feedback
     RefreshHarqProcesses();
     // retrieve past HARQ retx buffered
-    if (m_dlInfoListBuffered.size() > 0)
+    if (!m_dlInfoListBuffered.empty())
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             NS_LOG_INFO(this << " Received DL-HARQ feedback");
             m_dlInfoListBuffered.insert(m_dlInfoListBuffered.end(),
@@ -660,7 +660,7 @@
     }
     else
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             m_dlInfoListBuffered = params.m_dlInfoList;
         }
@@ -888,7 +888,7 @@
                     }
                 }
 
-                if (rlcPduListPerLc.size() > 0)
+                if (!rlcPduListPerLc.empty())
                 {
                     newEl.m_rlcPduList.push_back(rlcPduListPerLc);
                 }
@@ -938,7 +938,7 @@
     if (rbgAllocatedNum == rbgNum)
     {
         // all the RBGs are already allocated -> exit
-        if ((ret.m_buildDataList.size() > 0) || (ret.m_buildRarList.size() > 0))
+        if (!ret.m_buildDataList.empty() || !ret.m_buildRarList.empty())
         {
             m_schedSapUser->SchedDlConfigInd(ret);
         }
@@ -966,11 +966,13 @@
                     // UE already allocated for HARQ or without HARQ process available -> drop it
                     if (itRnti != rntiAllocated.end())
                     {
-                        NS_LOG_DEBUG(this << " RNTI discared for HARQ tx" << (uint16_t)(*it).first);
+                        NS_LOG_DEBUG(this << " RNTI discarded for HARQ tx"
+                                          << (uint16_t)(*it).first);
                     }
                     if (!HarqProcessAvailability((*it).first))
                     {
-                        NS_LOG_DEBUG(this << " RNTI discared for HARQ id" << (uint16_t)(*it).first);
+                        NS_LOG_DEBUG(this << " RNTI discarded for HARQ id"
+                                          << (uint16_t)(*it).first);
                     }
                     continue;
                 }
@@ -1540,7 +1542,7 @@
 
     if (nflows == 0)
     {
-        if (ret.m_dciList.size() > 0)
+        if (!ret.m_dciList.empty())
         {
             m_allocationMaps.insert(
                 std::pair<uint16_t, std::vector<uint16_t>>(params.m_sfnSf, rbgAllocationMap));
@@ -1590,7 +1592,8 @@
         if ((itRnti != rntiAllocated.end()) || ((*it).second == 0))
         {
             // UE already allocated for UL-HARQ -> skip it
-            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discared, RNTI " << (*it).first);
+            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discarded, RNTI "
+                              << (*it).first);
             it++;
             if (it == m_ceBsrRxed.end())
             {
@@ -1687,7 +1690,7 @@
         else
         {
             // take the lowest CQI value (worst RB)
-            NS_ABORT_MSG_IF((*itCqi).second.size() == 0,
+            NS_ABORT_MSG_IF((*itCqi).second.empty(),
                             "CQI of RNTI = " << (*it).first << " has expired");
             double minSinr = (*itCqi).second.at(uldci.m_rbStart);
             if (minSinr == NO_SINR)
@@ -1972,7 +1975,7 @@
                           << " subframe no. " << (0xF & params.m_sfnSf));
         // get the RNTI from vendor specific parameters
         uint16_t rnti = 0;
-        NS_ASSERT(params.m_vendorSpecificList.size() > 0);
+        NS_ASSERT(!params.m_vendorSpecificList.empty());
         for (std::size_t i = 0; i < params.m_vendorSpecificList.size(); i++)
         {
             if (params.m_vendorSpecificList.at(i).m_type == SRS_CQI_RNTI_VSP)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/pf-ff-mac-scheduler.h ns-3.38/src/lte/model/pf-ff-mac-scheduler.h
--- ns-3.37/src/lte/model/pf-ff-mac-scheduler.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/pf-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -309,9 +309,9 @@
      * \brief Return the availability of free process for the RNTI specified
      *
      * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * \return the availability
      */
-    uint8_t HarqProcessAvailability(uint16_t rnti);
+    bool HarqProcessAvailability(uint16_t rnti);
 
     /**
      * \brief Refresh HARQ processes according to the timers
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/pss-ff-mac-scheduler.cc ns-3.38/src/lte/model/pss-ff-mac-scheduler.cc
--- ns-3.37/src/lte/model/pss-ff-mac-scheduler.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/pss-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -39,11 +39,11 @@
 
 /// PSS type 0 allocation RBG
 static const int PssType0AllocationRbg[4] = {
-    10, // RGB size 1
-    26, // RGB size 2
-    63, // RGB size 3
-    110 // RGB size 4
-};      // see table 7.1.6.1-1 of 36.213
+    10,  // RGB size 1
+    26,  // RGB size 2
+    63,  // RGB size 3
+    110, // RGB size 4
+};       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(PssFfMacScheduler);
 
@@ -403,7 +403,7 @@
     return (lcActive);
 }
 
-uint8_t
+bool
 PssFfMacScheduler::HarqProcessAvailability(uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << rnti);
@@ -680,9 +680,9 @@
     // Process DL HARQ feedback
     RefreshHarqProcesses();
     // retrieve past HARQ retx buffered
-    if (m_dlInfoListBuffered.size() > 0)
+    if (!m_dlInfoListBuffered.empty())
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             NS_LOG_INFO(this << " Received DL-HARQ feedback");
             m_dlInfoListBuffered.insert(m_dlInfoListBuffered.end(),
@@ -692,7 +692,7 @@
     }
     else
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             m_dlInfoListBuffered = params.m_dlInfoList;
         }
@@ -920,7 +920,7 @@
                     }
                 }
 
-                if (rlcPduListPerLc.size() > 0)
+                if (!rlcPduListPerLc.empty())
                 {
                     newEl.m_rlcPduList.push_back(rlcPduListPerLc);
                 }
@@ -970,7 +970,7 @@
     if (rbgAllocatedNum == rbgNum)
     {
         // all the RBGs are already allocated -> exit
-        if ((ret.m_buildDataList.size() > 0) || (ret.m_buildRarList.size() > 0))
+        if (!ret.m_buildDataList.empty() || !ret.m_buildRarList.empty())
         {
             m_schedSapUser->SchedDlConfigInd(ret);
         }
@@ -990,7 +990,7 @@
         }
     }
 
-    if (ueSet.size() != 0)
+    if (!ueSet.empty())
     { // has data in RLC buffer
 
         // Time Domain scheduler
@@ -1004,11 +1004,11 @@
                 // UE already allocated for HARQ or without HARQ process available -> drop it
                 if (itRnti != rntiAllocated.end())
                 {
-                    NS_LOG_DEBUG(this << " RNTI discared for HARQ tx" << (uint16_t)(*it).first);
+                    NS_LOG_DEBUG(this << " RNTI discarded for HARQ tx" << (uint16_t)(*it).first);
                 }
                 if (!HarqProcessAvailability((*it).first))
                 {
-                    NS_LOG_DEBUG(this << " RNTI discared for HARQ id" << (uint16_t)(*it).first);
+                    NS_LOG_DEBUG(this << " RNTI discarded for HARQ id" << (uint16_t)(*it).first);
                 }
                 continue;
             }
@@ -1090,7 +1090,7 @@
             }
         } // end of ueSet
 
-        if (ueSet1.size() != 0 || ueSet2.size() != 0)
+        if (!ueSet1.empty() || !ueSet2.empty())
         {
             // sorting UE in ueSet1 and ueSet1 in descending order based on their metric value
             std::sort(ueSet1.rbegin(), ueSet1.rend());
@@ -1904,7 +1904,7 @@
 
     if (nflows == 0)
     {
-        if (ret.m_dciList.size() > 0)
+        if (!ret.m_dciList.empty())
         {
             m_allocationMaps.insert(
                 std::pair<uint16_t, std::vector<uint16_t>>(params.m_sfnSf, rbgAllocationMap));
@@ -1953,7 +1953,8 @@
         if ((itRnti != rntiAllocated.end()) || ((*it).second == 0))
         {
             // UE already allocated for UL-HARQ -> skip it
-            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discared, RNTI " << (*it).first);
+            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discarded, RNTI "
+                              << (*it).first);
             it++;
             if (it == m_ceBsrRxed.end())
             {
@@ -2051,7 +2052,7 @@
         else
         {
             // take the lowest CQI value (worst RB)
-            NS_ABORT_MSG_IF((*itCqi).second.size() == 0,
+            NS_ABORT_MSG_IF((*itCqi).second.empty(),
                             "CQI of RNTI = " << (*it).first << " has expired");
             double minSinr = (*itCqi).second.at(uldci.m_rbStart);
             if (minSinr == NO_SINR)
@@ -2306,7 +2307,7 @@
     case UlCqi_s::SRS: {
         // get the RNTI from vendor specific parameters
         uint16_t rnti = 0;
-        NS_ASSERT(params.m_vendorSpecificList.size() > 0);
+        NS_ASSERT(!params.m_vendorSpecificList.empty());
         for (std::size_t i = 0; i < params.m_vendorSpecificList.size(); i++)
         {
             if (params.m_vendorSpecificList.at(i).m_type == SRS_CQI_RNTI_VSP)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/pss-ff-mac-scheduler.h ns-3.38/src/lte/model/pss-ff-mac-scheduler.h
--- ns-3.37/src/lte/model/pss-ff-mac-scheduler.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/pss-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -226,7 +226,7 @@
         const struct FfMacSchedSapProvider::SchedUlTriggerReqParameters& params);
 
     /**
-     * \brief Sched UL noise inteference request function
+     * \brief Sched UL noise interference request function
      *
      * \param params FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters
      */
@@ -314,9 +314,9 @@
      * \brief Return the availability of free process for the RNTI specified
      *
      * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * \return the availability
      */
-    uint8_t HarqProcessAvailability(uint16_t rnti);
+    bool HarqProcessAvailability(uint16_t rnti);
 
     /**
      * \brief Refresh HARQ processes according to the timers
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/rem-spectrum-phy.cc ns-3.38/src/lte/model/rem-spectrum-phy.cc
--- ns-3.37/src/lte/model/rem-spectrum-phy.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/rem-spectrum-phy.cc	2023-03-16 20:54:23.780869000 -0700
@@ -182,7 +182,7 @@
 }
 
 double
-RemSpectrumPhy::GetSinr(double noisePower)
+RemSpectrumPhy::GetSinr(double noisePower) const
 {
     return m_referenceSignalPower / (m_sumPower - m_referenceSignalPower + noisePower);
 }
@@ -194,7 +194,7 @@
 }
 
 bool
-RemSpectrumPhy::IsActive()
+RemSpectrumPhy::IsActive() const
 {
     return m_active;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/rem-spectrum-phy.h ns-3.38/src/lte/model/rem-spectrum-phy.h
--- ns-3.37/src/lte/model/rem-spectrum-phy.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/rem-spectrum-phy.h	2023-03-16 20:54:23.780869000 -0700
@@ -83,7 +83,7 @@
      * \param noisePower the noise power
      * \return the Signal to Noise Ratio calculated
      */
-    double GetSinr(double noisePower);
+    double GetSinr(double noisePower) const;
 
     /**
      * make StartRx a no-op from now on, and mark instance as inactive
@@ -95,7 +95,7 @@
      *
      * \return true if active
      */
-    bool IsActive();
+    bool IsActive() const;
 
     /**
      * Reset the SINR calculator
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/rr-ff-mac-scheduler.cc ns-3.38/src/lte/model/rr-ff-mac-scheduler.cc
--- ns-3.37/src/lte/model/rr-ff-mac-scheduler.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/rr-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -38,11 +38,11 @@
 
 /// Type 0 allocation RBG
 static const int Type0AllocationRbg[4] = {
-    10, // RGB size 1
-    26, // RGB size 2
-    63, // RGB size 3
-    110 // RGB size 4
-};      // see table 7.1.6.1-1 of 36.213
+    10,  // RGB size 1
+    26,  // RGB size 2
+    63,  // RGB size 3
+    110, // RGB size 4
+};       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(RrFfMacScheduler);
 
@@ -349,7 +349,7 @@
     return (i.m_rnti < j.m_rnti);
 }
 
-uint8_t
+bool
 RrFfMacScheduler::HarqProcessAvailability(uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << rnti);
@@ -573,9 +573,9 @@
     // Process DL HARQ feedback
     RefreshHarqProcesses();
     // retrieve past HARQ retx buffered
-    if (m_dlInfoListBuffered.size() > 0)
+    if (!m_dlInfoListBuffered.empty())
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             NS_LOG_INFO(this << " Received DL-HARQ feedback");
             m_dlInfoListBuffered.insert(m_dlInfoListBuffered.end(),
@@ -585,7 +585,7 @@
     }
     else
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             m_dlInfoListBuffered = params.m_dlInfoList;
         }
@@ -814,7 +814,7 @@
                     }
                 }
 
-                if (rlcPduListPerLc.size() > 0)
+                if (!rlcPduListPerLc.empty())
                 {
                     newEl.m_rlcPduList.push_back(rlcPduListPerLc);
                 }
@@ -864,7 +864,7 @@
     if (rbgAllocatedNum == rbgNum)
     {
         // all the RBGs are already allocated -> exit
-        if ((ret.m_buildDataList.size() > 0) || (ret.m_buildRarList.size() > 0))
+        if (!ret.m_buildDataList.empty() || !ret.m_buildRarList.empty())
         {
             m_schedSapUser->SchedDlConfigInd(ret);
         }
@@ -923,7 +923,7 @@
 
     if (nflows == 0)
     {
-        if ((ret.m_buildDataList.size() > 0) || (ret.m_buildRarList.size() > 0))
+        if ((!ret.m_buildDataList.empty()) || (!ret.m_buildRarList.empty()))
         {
             m_schedSapUser->SchedDlConfigInd(ret);
         }
@@ -1311,7 +1311,7 @@
 
     if (nflows == 0)
     {
-        if (ret.m_dciList.size() > 0)
+        if (!ret.m_dciList.empty())
         {
             m_allocationMaps.insert(
                 std::pair<uint16_t, std::vector<uint16_t>>(params.m_sfnSf, rbgAllocationMap));
@@ -1427,7 +1427,7 @@
         {
             // unable to allocate new resource: finish scheduling
             m_nextRntiUl = (*it).first;
-            if (ret.m_dciList.size() > 0)
+            if (!ret.m_dciList.empty())
             {
                 m_schedSapUser->SchedUlConfigInd(ret);
             }
@@ -1446,7 +1446,7 @@
         else
         {
             // take the lowest CQI value (worst RB)
-            NS_ABORT_MSG_IF((*itCqi).second.size() == 0,
+            NS_ABORT_MSG_IF((*itCqi).second.empty(),
                             "CQI of RNTI = " << (*it).first << " has expired");
             double minSinr = (*itCqi).second.at(uldci.m_rbStart);
             for (uint16_t i = uldci.m_rbStart; i < uldci.m_rbStart + uldci.m_rbLen; i++)
@@ -1691,7 +1691,7 @@
     case UlCqi_s::SRS: {
         // get the RNTI from vendor specific parameters
         uint16_t rnti = 0;
-        NS_ASSERT(params.m_vendorSpecificList.size() > 0);
+        NS_ASSERT(!params.m_vendorSpecificList.empty());
         for (std::size_t i = 0; i < params.m_vendorSpecificList.size(); i++)
         {
             if (params.m_vendorSpecificList.at(i).m_type == SRS_CQI_RNTI_VSP)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/rr-ff-mac-scheduler.h ns-3.38/src/lte/model/rr-ff-mac-scheduler.h
--- ns-3.37/src/lte/model/rr-ff-mac-scheduler.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/rr-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -268,9 +268,9 @@
      * \brief Return the availability of free process for the RNTI specified
      *
      * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * \return the availability
      */
-    uint8_t HarqProcessAvailability(uint16_t rnti);
+    bool HarqProcessAvailability(uint16_t rnti);
 
     /**
      * \brief Refresh HARQ processes according to the timers
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/simple-ue-component-carrier-manager.cc ns-3.38/src/lte/model/simple-ue-component-carrier-manager.cc
--- ns-3.37/src/lte/model/simple-ue-component-carrier-manager.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/simple-ue-component-carrier-manager.cc	2023-03-16 20:54:23.780869000 -0700
@@ -277,7 +277,7 @@
         }
         it++;
     }
-    NS_ABORT_MSG_IF(res.size() == 0,
+    NS_ABORT_MSG_IF(res.empty(),
                     "LCID " << lcid << " not found in the ComponentCarrierManager map");
 
     return res;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/tdbet-ff-mac-scheduler.cc ns-3.38/src/lte/model/tdbet-ff-mac-scheduler.cc
--- ns-3.37/src/lte/model/tdbet-ff-mac-scheduler.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/tdbet-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -37,11 +37,11 @@
 
 /// TDBET type 0 allocation RBG
 static const int TdBetType0AllocationRbg[4] = {
-    10, // RGB size 1
-    26, // RGB size 2
-    63, // RGB size 3
-    110 // RGB size 4
-};      // see table 7.1.6.1-1 of 36.213
+    10,  // RGB size 1
+    26,  // RGB size 2
+    63,  // RGB size 3
+    110, // RGB size 4
+};       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(TdBetFfMacScheduler);
 
@@ -369,7 +369,7 @@
     return (lcActive);
 }
 
-uint8_t
+bool
 TdBetFfMacScheduler::HarqProcessAvailability(uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << rnti);
@@ -598,9 +598,9 @@
     // Process DL HARQ feedback
     RefreshHarqProcesses();
     // retrieve past HARQ retx buffered
-    if (m_dlInfoListBuffered.size() > 0)
+    if (!m_dlInfoListBuffered.empty())
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             NS_LOG_INFO(this << " Received DL-HARQ feedback");
             m_dlInfoListBuffered.insert(m_dlInfoListBuffered.end(),
@@ -610,7 +610,7 @@
     }
     else
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             m_dlInfoListBuffered = params.m_dlInfoList;
         }
@@ -838,7 +838,7 @@
                     }
                 }
 
-                if (rlcPduListPerLc.size() > 0)
+                if (!rlcPduListPerLc.empty())
                 {
                     newEl.m_rlcPduList.push_back(rlcPduListPerLc);
                 }
@@ -888,7 +888,7 @@
     if (rbgAllocatedNum == rbgNum)
     {
         // all the RBGs are already allocated -> exit
-        if ((ret.m_buildDataList.size() > 0) || (ret.m_buildRarList.size() > 0))
+        if (!ret.m_buildDataList.empty() || !ret.m_buildRarList.empty())
         {
             m_schedSapUser->SchedDlConfigInd(ret);
         }
@@ -935,11 +935,11 @@
             // UE already allocated for HARQ or without HARQ process available -> drop it
             if (itRnti != rntiAllocated.end())
             {
-                NS_LOG_DEBUG(this << " RNTI discared for HARQ tx" << (uint16_t)(*it).first);
+                NS_LOG_DEBUG(this << " RNTI discarded for HARQ tx" << (uint16_t)(*it).first);
             }
             if (!HarqProcessAvailability((*it).first))
             {
-                NS_LOG_DEBUG(this << " RNTI discared for HARQ id" << (uint16_t)(*it).first);
+                NS_LOG_DEBUG(this << " RNTI discarded for HARQ id" << (uint16_t)(*it).first);
             }
             continue;
         }
@@ -1376,7 +1376,7 @@
 
     if (nflows == 0)
     {
-        if (ret.m_dciList.size() > 0)
+        if (!ret.m_dciList.empty())
         {
             m_allocationMaps.insert(
                 std::pair<uint16_t, std::vector<uint16_t>>(params.m_sfnSf, rbgAllocationMap));
@@ -1422,7 +1422,8 @@
         if ((itRnti != rntiAllocated.end()) || ((*it).second == 0))
         {
             // UE already allocated for UL-HARQ -> skip it
-            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discared, RNTI " << (*it).first);
+            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discarded, RNTI "
+                              << (*it).first);
             it++;
             if (it == m_ceBsrRxed.end())
             {
@@ -1493,7 +1494,7 @@
         {
             // unable to allocate new resource: finish scheduling
             m_nextRntiUl = (*it).first;
-            if (ret.m_dciList.size() > 0)
+            if (!ret.m_dciList.empty())
             {
                 m_schedSapUser->SchedUlConfigInd(ret);
             }
@@ -1512,7 +1513,7 @@
         else
         {
             // take the lowest CQI value (worst RB)
-            NS_ABORT_MSG_IF((*itCqi).second.size() == 0,
+            NS_ABORT_MSG_IF((*itCqi).second.empty(),
                             "CQI of RNTI = " << (*it).first << " has expired");
             double minSinr = (*itCqi).second.at(uldci.m_rbStart);
             if (minSinr == NO_SINR)
@@ -1792,7 +1793,7 @@
     case UlCqi_s::SRS: {
         // get the RNTI from vendor specific parameters
         uint16_t rnti = 0;
-        NS_ASSERT(params.m_vendorSpecificList.size() > 0);
+        NS_ASSERT(!params.m_vendorSpecificList.empty());
         for (std::size_t i = 0; i < params.m_vendorSpecificList.size(); i++)
         {
             if (params.m_vendorSpecificList.at(i).m_type == SRS_CQI_RNTI_VSP)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/tdbet-ff-mac-scheduler.h ns-3.38/src/lte/model/tdbet-ff-mac-scheduler.h
--- ns-3.37/src/lte/model/tdbet-ff-mac-scheduler.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/tdbet-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -288,9 +288,9 @@
      * \brief Return the availability of free process for the RNTI specified
      *
      * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * \return the availability
      */
-    uint8_t HarqProcessAvailability(uint16_t rnti);
+    bool HarqProcessAvailability(uint16_t rnti);
 
     /**
      * \brief Refresh HARQ processes according to the timers
